Package org.gradle.api.plugins.quality

## Interface CodeNarcReports

- All Superinterfaces:
    `Collection<SingleFileReport>`, `org.gradle.util.Configurable<ReportContainer<SingleFileReport>>`, `DomainObjectCollection<SingleFileReport>`, `Iterable<SingleFileReport>`, `NamedDomainObjectCollection<SingleFileReport>`, `NamedDomainObjectSet<SingleFileReport>`, `ReportContainer<SingleFileReport>`, `Set<SingleFileReport>`

      public interface CodeNarcReports
      extends ReportContainer<SingleFileReport>

  The reporting configuration for the `CodeNarc` test.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SingleFileReport` | `getHtml()` | The codenarc HTML report
    `SingleFileReport` | `getText()` | The codenarc text report
    `SingleFileReport` | `getXml()` | The codenarc XML report

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Method Detail

    - #### getXml

          @Internal
          SingleFileReport getXml()

      The codenarc XML report
      Returns:
        The codenarc XML report

    - #### getHtml

          @Internal
          SingleFileReport getHtml()

      The codenarc HTML report
      Returns:
        The codenarc HTML report

    - #### getText

          @Internal
          SingleFileReport getText()

      The codenarc text report
      Returns:
        The codenarc text report